Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.event
Class AWTMouseEventDispatcher

    java.lang.Object
      |
      +--quicktime.app.event.EventDispatcher
            |
            +--quicktime.app.event.AWTMouseEventDispatcher

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener

public class AWTMouseEventDispatcher
extends EventDispatcher
implements java.awt.event.MouseListener, java.awt.event.MouseMotionListener

This class is used to dispatch events to a QTMouseController when the source of events is some kind of java.awt.Component.

See Also:
  `EventDispatcher`

Field Summary
`protected java.awt.Component` | `comp` The java.awt.Component which the space has been added to.
`protected QTMouseController` | `cont` The controller that will dispatch the events to any of its registered listeners
`protected Space` | `space` The space that is the source of the QTMouseEvent that is broadcast to the QTMouseController

Constructor Summary
`AWTMouseEventDispatcher(QTMouseController cont, Space space, java.lang.Object interest)` Creates an AWTMouseEventDispatcher for the specified QTMouseController.

Method Summary
`protected void` | `addedTo()` When the ListenerController is addedTo its source of interest this method is called.
`void` | `mouseClicked(java.awt.event.MouseEvent e)` Invoked when the mouse has been clicked on a component.
`void` | `mouseDragged(java.awt.event.MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
`void` | `mouseEntered(java.awt.event.MouseEvent e)` Invoked when the mouse enters a component.
`void` | `mouseExited(java.awt.event.MouseEvent e)` Invoked when the mouse exits a component.
`void` | `mouseMoved(java.awt.event.MouseEvent e)` Invoked when the mouse button has been moved on a component (with no buttons no down).
`void` | `mousePressed(java.awt.event.MouseEvent e)` Invoked when a mouse button has been pressed on a component.
`void` | `mouseReleased(java.awt.event.MouseEvent e)` Invoked when a mouse button has been released on a component.
`protected void` | `removedFrom()` When the ListenerController is removedFrom its source of interest this method is called.

Methods inherited from class quicktime.app.event.EventDispatcher
`registerMaker, removeMaker`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### space

    protected Space space

  The space that is the source of the QTMouseEvent that is broadcast to the QTMouseController

### cont

    protected QTMouseController cont

  The controller that will dispatch the events to any of its registered listeners

### comp

    protected java.awt.Component comp

  The java.awt.Component which the space has been added to.

Constructor Detail

### AWTMouseEventDispatcher

    public AWTMouseEventDispatcher(QTMouseController cont,
                                   Space space,
                                   java.lang.Object interest)

  Creates an AWTMouseEventDispatcher for the specified QTMouseController.
  Parameters:
    `cont` - the controller which will distribute the events. This controller is attached to some kind of quicktime.app.display.QTDisplaySpace object.
    `interest` - The interest object must be some kind of java.awt.Component of a class cast exception will be generated.
    `space` - The space will be the Object (generally a QTDisplaySpace) which the controller has been attached to and will become the source of events - ie. the space within which the controllers events occur - for the controller

Method Detail

### addedTo

    protected void addedTo()

  When the ListenerController is addedTo its source of interest this method is called.
  Overrides:
    `addedTo` in class `EventDispatcher`

### removedFrom

    protected void removedFrom()

  When the ListenerController is removedFrom its source of interest this method is called.
  Overrides:
    `removedFrom` in class `EventDispatcher`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Invoked when the mouse has been clicked on a component.
  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Invoked when a mouse button has been pressed on a component.
  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Invoked when a mouse button has been released on a component.
  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Invoked when the mouse enters a component.
  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Invoked when the mouse exits a component.
  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Invoked when a mouse button is pressed on a component and then dragged. Mouse drag events will continue to be delivered to the component where the first originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).
  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Invoked when the mouse button has been moved on a component (with no buttons no down).
  Specified by:
    `mouseMoved` in interface `java.awt.event.MouseMotionListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD